View Issue Details

IDProjectCategoryView StatusLast Update
0017944mantisbtperformancepublic2015-03-15 19:58
ReporterdregadAssigned Tovboctor 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0017944: Regression from 1.2.x: slow performance when editing issues
Description

Since we upgraded the tracker to 1.3.0dev, it has become very painful to edit issues, as the page takes up to 5 seconds to load.

This is due to Mantis systematically and in most cases unnecessarily loading the 'Reporter' selection list, which on our tracker is very big (28k+ users). This also negatively impacts server performance.

In 1.2.x, the current reported was displayed as a hyperlink, and an [Edit] area was available to display the selection list when needed, which made editing issues much faster.

Until a proper solution to the underlying performance issue with trackers having very large number of users can be found, the 1.2.x behavior should be reverted.

Additional Information

Regression from 0011826.

See attached screenshots

TagsNo tags attached.

Relationships

related to 0011826 closeddhx Remove all inline JavaScript from MantisBT (use external scripts instead) 
related to 0017960 new Don't let crawlers go to edit page 
related to 0017962 new Implement auto-complete for reporter field in bug_update_page 

Activities

dregad

dregad

2014-12-04 07:10

developer  

reporter-1.png (1,068 bytes)
reporter-1.png (1,068 bytes)
dregad

dregad

2014-12-04 07:10

developer  

reporter-2.png (2,371 bytes)
reporter-2.png (2,371 bytes)
dregad

dregad

2014-12-04 07:24

developer   ~0041971

Note: by reverted, I don't mean that we should add back the ajax api...

vboctor

vboctor

2014-12-13 17:12

manager   ~0042011

Pull Request:
https://github.com/mantisbt/mantisbt/pull/562

This change solves the performance issue and provide behavior equivalent to 1.2.x. Once this is done, we can do another change to leverage more sophisticated implementation (e.g. jquery auto-complete).

dregad

dregad

2014-12-14 17:01

developer   ~0042017

Many thanks for that fix @vboctor

Related Changesets

MantisBT: master b751f3b1

2014-12-13 17:10:44

vboctor


Committer: dregad Details Diff
Don't expand reporters by default in update page

For performance reasons with update issue pages, we should revert
back to 1.2.x behavior where we don't populate the combobox of
reporters by default. This is in order to reduce database load and
improve performance for instances with large number of reporters.

This change is also designed to make sure that search engine crawlers
don't expand such list and hence avoiding the database load.

In the future, we should use jquery auto-complete or similar control.
We could also possibly add a configuration option or cache a session
variable that determines whether to expand the list by default. This
can be useful for instances with small number of reporters.

Fixes 0017944
mod - bug_update_page.php Diff File
mod - javascript/common.js Diff File

Issue History

Date Modified Username Field Change
2014-12-04 07:08 dregad New Issue
2014-12-04 07:10 dregad File Added: reporter-1.png
2014-12-04 07:10 dregad File Added: reporter-2.png
2014-12-04 07:11 dregad Additional Information Updated View Revisions
2014-12-04 07:21 dregad Relationship added related to 0011826
2014-12-04 07:22 dregad Additional Information Updated View Revisions
2014-12-04 07:24 dregad Note Added: 0041971
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2014-12-13 13:59 vboctor Status new => confirmed
2014-12-13 13:59 vboctor Category bugtracker => performance
2014-12-13 13:59 vboctor Product Version 1.3.0dev => 1.3.0-beta.1
2014-12-13 14:04 vboctor Issue cloned: 0017960
2014-12-13 14:04 vboctor Relationship added related to 0017960
2014-12-13 17:12 vboctor Assigned To => vboctor
2014-12-13 17:12 vboctor Status confirmed => assigned
2014-12-13 17:12 vboctor Note Added: 0042011
2014-12-13 17:16 vboctor Issue cloned: 0017962
2014-12-13 17:16 vboctor Relationship added related to 0017962
2014-12-14 16:55 dregad Changeset attached => MantisBT master b751f3b1
2014-12-14 16:55 dregad Assigned To vboctor => dregad
2014-12-14 16:55 dregad Status assigned => resolved
2014-12-14 16:55 dregad Resolution open => fixed
2014-12-14 16:55 dregad Fixed in Version => 1.3.0-beta.2
2014-12-14 16:57 dregad Assigned To dregad => vboctor
2014-12-14 17:01 dregad Note Added: 0042017
2015-03-15 19:58 dregad Status resolved => closed